<template>
	<main class="mt-36">
		<h2 class="contents-title">Font Awesome</h2>
		<div class="ml-24">
			<h5>Font Awesome Solid</h5>
			<i class="bzi-notification"></i>
			<Code codeText='<i class="fas fa-bell"></i>' />
			<h5>Font Awesome Regular</h5>
			<i class="bzi-notification"></i>
			<Code codeText='<i class="far fa-bell"></i>' />
			<h5>Font Awesome Brand</h5>
			<img src="~/static/assets/img/github.svg" class="img-icon" />
			<Code codeText='<i class="far fa-bell"></i>' />
		</div>
		<hr />

		<h2 class="contents-title">Icon Sizing</h2>
		<div class="ml-24">
			<p>
				<i class="bzi-check-circle"></i>
				<i class="bzi-check-circle bzi-1_2x"></i>
				<i class="bzi-check-circle bzi-1_4x"></i>
				<i class="bzi-check-circle bzi-1_6x"></i>
				<i class="bzi-check-circle bzi-2x"></i>
				<i class="bzi-check-circle bzi-3x"></i>
				<i class="bzi-check-circle bzi-4x"></i>
				<i class="bzi-check-circle bzi-5x"></i>
				<i class="bzi-check-circle bzi-6x"></i>
				<i class="bzi-check-circle bzi-7x"></i>
				<i class="bzi-check-circle bzi-8x"></i>
				<i class="bzi-check-circle bzi-9x"></i>
				<i class="bzi-check-circle bzi-10x"></i>
			</p>
		</div>
		<ContentFooter />
	</main>
</template>

<script>
export default {
	data() {
		return {
			activeTab: 0,
			activeTab2: 0,
			tabs: [
				{
					title: 'Tab 1',
					content: 'Item 1'
				},
				{
					title: 'Tab 2',
					content: 'Item 2'
				},
				{
					title: 'Tab 3',
					content: 'Item 3'
				},
				{
					title: 'Tab 4',
					content: 'Item 4'
				}
			],
			tab: `<ul class="tabs__bar js-tabs">
    <li class="tabs__nav js-tabs-link is-active" data-control="#item1">TAB 1</li>
    <li class="tabs__nav js-tabs-link" data-control="#item2">TAB 2</li>
    <li class="tabs__nav js-tabs-link" data-control="#item3">TAB 3</li>
    <li class="tabs__nav js-tabs-link" data-control="#item4">TAB 4</li>
</ul>
<div class="tabs__content">
    <div class="tabs__item js-tabs-item is-active" id="item1">
        Item 1
    </div>
    <div class="tabs__item js-tabs-item" id="item2">
        Item 2
    </div>
    <div class="tabs__item js-tabs-item" id="item3">
        Item 3
    </div>
    <div class="tabs__item js-tabs-item" id="item4">
        Item 4
    </div>
</div>`,
			justifiedTabs: `<ul class="tabs__bar--justify js-tabs">
    <li class="tabs__nav js-tabs-link is-active" data-control="#justified1">TAB 1</li>
    <li class="tabs__nav js-tabs-link" data-control="#justified2">TAB 2</li>
    <li class="tabs__nav js-tabs-link" data-control="#justified3">TAB 3</li>
    <li class="tabs__nav js-tabs-link" data-control="#justified4">TAB 4</li>
</ul>
<div class="tabs__content">
    <div class="tabs__item js-tabs-item is-active" id="justified1">
        Item 1
    </div>
    <div class="tabs__item js-tabs-item" id="justified2">
        Item 2
    </div>
    <div class="tabs__item js-tabs-item" id="justified3">
        Item 3
    </div>
    <div class="tabs__item js-tabs-item" id="justified4">
        Item 4
    </div>
</div>`
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}

h5 {
	margin-bottom: 4px;
}

.icons {
	display: flex;
	justify-content: space-evenly;
}

.img-icon {
	width: 16px;
	height: 25.59px;
}
</style>
